# Properties

## `authInfo: AuthInfo`&#x20;

Contains the current authentication state of the SDK, and it is initialized with cached data in order to show as soon as possible the non-auth or the loading auth UIs.

## `routeConfig: RouteConfig | null`&#x20;

Current route configuration including dimensions and layout preferences.

## `backupInfo: BackupInfo | null`

User's current backup information.

## `balanceInfo: BalanceInfo | null`&#x20;

User's current balance information.

## `pendingRequests: number`&#x20;

Number of pending requests awaiting user action.

## `isOpen: boolean`

Indicates whether the wallet interface is currently open/visible.

## `width: number | undefined`

Current width of the wallet interface in pixels.

## `height: number | undefined`&#x20;

Current height of the wallet interface in pixels.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wander.app/wander-connect/properties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
